List the attached snapshot repositories
- GET /deployments/{deployment_id}/elasticsearch/{ref_id}/snapshot/repository
Lists all the snapshot repositories this deployment has access to. These are snapshot repositories of other deployments that have been linked to this deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Responses
List of snapshot repositories for this deployment
-
repositoriesSnapshotDependencyrequired -
List of snapshot repositories (other deployments whose snapshots this deployment can access)
-
cluster_idstringrequired -
Elasticsearch cluster id
-
deployment_idstring -
Deployment id
-
deployment_namestring -
Deployment name
-
repository_namestringrequired -
The name of the snapshot repository in Elasticsearch (e.g. _clone_abcd1234)
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.metadata_internal_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response